{
  "format_version": "1.17",
  "minecraft:npc_dialogue": {
    "scenes": [
      {
        "scene_tag": "npc_12_01",
        "npc_name": { "rawtext": [{ "translate": "npc_12.name" }] },
        "text": {
          "rawtext": [{ "translate": "npc_12_01.text", "with": ["\n"] }]
        },
        "on_open_commands": ["function app/dialogue_open"],
        "on_close_commands": ["function app/dialogue_close"],
        "buttons": [
          {
            "name": {
              "rawtext": [
                { "translate": "npc_12_01_btn_1.text", "with": ["\n"] }
              ]
            },
            "commands": ["function app/12/npc_btn_1"]
          },
          {
            "name": {
              "rawtext": [
                { "translate": "npc_12_01_btn_2.text", "with": ["\n"] }
              ]
            },
            "commands": ["function app/12/npc_btn_2"]
          }
        ]
      },
      {
        "scene_tag": "npc_12_02",
        "npc_name": { "rawtext": [{ "translate": "npc_12.name" }] },
        "text": {
          "rawtext": [{ "translate": "npc_12_02.text", "with": ["\n"] }]
        },
        "on_open_commands": ["function app/dialogue_open"],
        "on_close_commands": ["function app/dialogue_close"],
        "buttons": []
      }
    ]
  }
}
